GDB (xrefs)

Functions | Variables
test_pubnames_and_indexes Namespace Reference

## Functions
def | get_pub_info (filename, readelf_option)
def | get_gdb_index (filename)
def | CheckSets (list0, list1, name0, name1)
def | find_executables ()
def | main (argv)

## Variables
string | __author__ = 'saugustine@google.com (Sterling Augustine)'
| OBJCOPY = None
| READELF = None
| GDB = None

## Function Documentation

## ◆ CheckSets()

def test_pubnames_and_indexes.CheckSets | ( |  | list0,
|  |  | list1,
|  |  | name0,
|  |  | name1
| ) |  |

    Report any setwise differences between the two lists

Definition at line 95 of file test_pubnames_and_indexes.py.

Referenced by main().

## ◆ find_executables()

def test_pubnames_and_indexes.find_executables | ( |  | ) |

    Find the copies of readelf, objcopy and gdb to use.

Definition at line 124 of file test_pubnames_and_indexes.py.

Referenced by main().

## ◆ get_gdb_index()

def test_pubnames_and_indexes.get_gdb_index | ( |  | filename | ) |

    Use readelf to dump the gdb index and collect the types and names

Definition at line 76 of file test_pubnames_and_indexes.py.

Referenced by main().

## ◆ get_pub_info()

def test_pubnames_and_indexes.get_pub_info | ( |  | filename,
|  |  | readelf_option
| ) |  |

    Parse and return all the pubnames or pubtypes produced by readelf with the
    given option.

Definition at line 52 of file test_pubnames_and_indexes.py.

Referenced by main().

## ◆ main()

def test_pubnames_and_indexes.main | ( |  | argv | ) |

    The main subprogram.

Definition at line 150 of file test_pubnames_and_indexes.py.

References CheckSets(), find_executables(), get_gdb_index(), and get_pub_info().

## Variable Documentation

## ◆ __author__

string test_pubnames_and_indexes.__author__ = 'saugustine@google.com (Sterling Augustine)'
| private

Definition at line 42 of file test_pubnames_and_indexes.py.

## ◆ GDB

test_pubnames_and_indexes.GDB = None

Definition at line 50 of file test_pubnames_and_indexes.py.

## ◆ OBJCOPY

test_pubnames_and_indexes.OBJCOPY = None

Definition at line 48 of file test_pubnames_and_indexes.py.

## ◆ READELF

test_pubnames_and_indexes.READELF = None

Definition at line 49 of file test_pubnames_and_indexes.py.